## ltpanel 0.2

=== src/Makefile ===
CC = gcc
C_FLAGS = -g -c -DHAVE_XPM -Wall -pedantic -I/usr/X11R6/include
# L_FLAGS = -O3 -s -Xlinker  -L/usr/X11R6/lib -lX11 -lXpm
L_FLAGS = -g -Xlinker  -L/usr/X11R6/lib -lX11 -lXpm
PROGNAME = lpanel
OBJS = lpanel.o drawing.o

$(PROGNAME): Makefile lpanel.o drawing.o
	$(CC) $(L_FLAGS) $(OBJS) -o $(PROGNAME)
	@ls -l $(PROGNAME)

lpanel.o: lpanel.c lpanel.h ../icon.xpm
	$(CC) $(C_FLAGS) -o lpanel.o $<

drawing.o: drawing.c drawing.h
	$(CC) $(C_FLAGS) -o drawing.o $<
clean: 
	rm -f core *.o $(PROGNAME) nohup.out

=== debian/changelog ===
ltpanel (0.2-9) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * d/watch
     - version=4
     - Secure URI
  * Standards-Version: 4.7.2 (routine-update)
  * Use correct machine-readable copyright file URI.
  * Suppress lintian error about test command in backgound

  [ Helmut Grohne ]
  * Fix FTCBFS: Seed C compiler from dpkg's buildtools.mk. (Closes: #960295)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Aug 2025 14:58:39 +0200

ltpanel (0.2-8) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Updated the Homepage field to new upstream address.
  * debian/copyright:
      - Removed unnecessary X-Source field.
      - Updated Source field to the new upstream website.
      - Using a secure URI in Format field.
  * debian/rules: Removed no longer needed variable DEB_LDFLASS_MAINT_APPEND.

 -- Leonardo Santiago Sidon da Rocha <leonardossr@gmail.com>  Sat, 16 May 2020 17:16:30 -0300

ltpanel (0.2-7) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: created to perform trivial CI tests.

 -- Leonardo Santiago Sidon da Rocha <leonardossr@gmail.com>  Thu, 14 May 2020 18:08:07 -0300

ltpanel (0.2-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920114)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Leonardo Santiago Sidon da Rocha <leonardossr@gmail.com>  Sat, 09 May 2020 15:31:22 -0300

ltpanel (0.2-5) unstable; urgency=low

  * debian/rules
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 13:43:55 -0400

ltpanel (0.2-4) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
      Patch thanks to Simon Ruderich <simon@ruderich.org>.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Delete buildflags.mk; not needed with debhelper 9.
    - Enable all hardening flags. Inject them properly in
      override_dh_auto_build (Closes: #662953). Patch thanks to
      Simon Ruderich <simon@ruderich.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 07 Mar 2012 10:54:51 -0500

ltpanel (0.2-3) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 13 Feb 2012 04:39:30 -0500

ltpanel (0.2-2) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): debhelper 8.
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP 5.
  * debian/patches
    (10): New. Fix build with "ld --as-needed". Patch thanks to
    Andreas Moog <amoog@ubuntu.com> (LP #770834; Closes: #635014).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Sep 2011 00:17:25 +0300

ltpanel (0.2-1) unstable; urgency=low

  * Initial release (Closes: #582752).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 23 May 2010 14:36:14 +0300

=== debian/control ===
Source: ltpanel
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libx11-dev, x11proto-core-dev, libxpm-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/ltpanel
Vcs-Git: https://salsa.debian.org/debian/ltpanel.git
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/ltpanel

Package: ltpanel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight tasklist panel for minimalist WMs
 ltpanel is a lightweight window list for the X Window System, similar
 to GNOME's window list applet. It has been tested on IceWM and fvwm.
 It should work with any GNOME-compliant Window Manager and is based
 on Peter Zelezny's fspanel.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = ltpanel

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic

-include /usr/share/dpkg/buildtools.mk

override_dh_auto_build:
	# There is no other place where to inject additional flags but CC
	$(MAKE) -C src CC="$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_clean:
	$(MAKE) -C src clean

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_installman:
	# Rename 'l'panel to 'lt'panel
	install -m 755 -d $(CURDIR)/debian/$(PACKAGE)/usr/share/man/man1
	sed "s/lpanel/$(PACKAGE)/" doc/*.1 \
		> $(CURDIR)/debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1

override_dh_install:
	dh_install
	# Rename 'l'panel to 'lt'panel
	mv --verbose $(CURDIR)/debian/$(PACKAGE)/usr/bin/lpanel \
		$(CURDIR)/debian/$(PACKAGE)/usr/bin/$(PACKAGE)

%:
	dh  $@

# End of file

=== debian/tests/control ===
Test-Command: ltpanel

Test-Command: xvfb-run -a ltpanel &
Depends: @, xauth, xvfb

=== debian/watch ===
version=4
https://sf.net/ltpanel/ltpanel-(.+)\.tar\.gz
